Skip to main content
Back to API List

Fetch Call Recording

To retrieve the recording of a specific call using either the userId or sessionId.
MethodGET
Endpointshttps://{{host}}/api/public/bot/{{botId}}/recordings?{{userId}}
https://{{host}}/api/public/bot/{{botId}}/recordings?{{sessionId}}
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeSmartAssist Recordings

Path Parameters

PARAMETERDESCRIPTIONTYPE
hostEnvironment URL, for example, https://platform.kore.aistring, required
botIdbotId or streamId. You can get it from the App Settings page.string, required

Query Parameters

PARAMETERDESCRIPTIONTYPE
userIdThe ID of the user whose conversation history will be accessed. It can be a user email id or an enterprise-assigned unique id.string, required
sessionIdThe unique identifier for the session record.string, required

Sample Requests

curl --location --request GET '{{host}}/api/1.1/public/bot/{{botId}}/recordings?userId={{userId}}' \
--header 'auth: {{JWT_TOKEN}}'
curl --location --request GET '{{host}}/api/1.1/public/bot/{{botId}}/recordings?sessionId={{sessionId}}' \
--header 'auth: {{JWT_TOKEN}}'

Sample Response

{
    "recording": [
        "data:audio/wav;base64,{encodedFileInTheSpecifiedFormat}"
    ]
}